Bug 8713 - Warning message triggered by clicking keyword to marc mapping.
Summary: Warning message triggered by clicking keyword to marc mapping.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: M. Tompsett
QA Contact: Mason James
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-03 02:58 UTC by M. Tompsett
Modified: 2013-12-05 19:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Warning message triggered by clicking "Keywords to MARC mapping" (1.07 KB, patch)
2012-09-03 03:11 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 8713 - Warning message triggered by clicking Keywords to MARC mapping (1.09 KB, patch)
2012-09-04 09:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2012-09-03 02:58:15 UTC
To reproduce the warning:
1) Log in to staff client
2) Click 'Koha administration'
3) Click 'Keywords to MARC mapping'
4) Check koha-error_log
[Mon Sep 03 09:51:45 2012] [error] [client 192.168.100.2] [Mon Sep  3 09:51:45 2012] fieldmapping.pl: Use of uninitialized value $op in string eq at /usr/share/koha/intranet/cgi-bin/admin/fieldmapping.pl line 65., referer: https://.../cgi-bin/koha/admin/admin-home.pl
Comment 1 M. Tompsett 2012-09-03 03:11:28 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2012-09-03 03:13:14 UTC
Tested in 3.6.3, but same patch should apply to 3.6.x, 3.8.x, and master. The attached patch is against master.
Comment 3 Jonathan Druart 2012-09-04 09:04:50 UTC
Created attachment 11954 [details] [review]
Bug 8713 - Warning message triggered by clicking Keywords to MARC mapping

In the Koha Administration screen, clicking
Keywords to MARC mapping triggered an uninitialized $op warning
in the koha error logs. Added a "|| q{}" to ensure it is set.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Mason James 2012-09-14 15:15:55 UTC
> Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

patch looks good, passing QA…

$ koha-qa.pl 

testing 1 commit(s) (applied to commit 0acebb8)
 * 493b9c2 Bug 8713 - Warning message triggered by clicking Keywords to MARC
      admin/fieldmapping.pl

* admin/fieldmapping.pl                                                    OK
Comment 5 Paul Poulain 2012-09-17 16:48:50 UTC
Patch pushed to master
Comment 6 Chris Cormack 2012-09-19 02:47:22 UTC
Tiny patch to silence some warns, pushed to 3.8.x will be in 3.8.5